org.apache.pdfbox.pdmodel.interactive.annotation

## Class PDAnnotationTextMarkup

- java.lang.Object
- - org.apache.pdfbox.pdmodel.interactive.annotation.PDAnnotation
  - - org.apache.pdfbox.pdmodel.interactive.annotation.PDAnnotationMarkup
    - - org.apache.pdfbox.pdmodel.interactive.annotation.PDAnnotationTextMarkup

All Implemented Interfaces:
  COSObjectable

Direct Known Subclasses:
  PDAnnotationHighlight, PDAnnotationSquiggly, PDAnnotationStrikeout, PDAnnotationUnderline

    public class PDAnnotationTextMarkup
    extends PDAnnotationMarkup

This is the abstract class that represents a text markup annotation introduced in the PDF 1.3 specification, except Squiggly lines in 1.4.

Author:
  Paul King

### Field Summary

### Fields inherited from class org.apache.pdfbox.pdmodel.interactive.annotation.PDAnnotationMarkup

`RT_GROUP, RT_REPLY`

### Constructor Summary

Constructors
`protected` `PDAnnotationTextMarkup(COSDictionary field)` Creates a TextMarkup annotation from a COSDictionary, expected to be a correct object definition.
`protected` `PDAnnotationTextMarkup(String subType)` Creates a TextMarkup annotation of the specified sub type.

### Method Summary

All Methods Instance Methods Concrete Methods
`float[]` `getQuadPoints()` This will retrieve the set of quadpoints which encompass the areas of this annotation.
`void` `setQuadPoints(float[] quadPoints)` This will set the set of quadpoints which encompass the areas of this annotation.

### Methods inherited from class org.apache.pdfbox.pdmodel.interactive.annotation.PDAnnotationMarkup

`getBorderStyle, getConstantOpacity, getCreationDate, getExternalData, getInReplyTo, getIntent, getPopup, getReplyType, getRichContents, getSubject, getTitlePopup, setBorderStyle, setConstantOpacity, setCreationDate, setExternalData, setInReplyTo, setIntent, setPopup, setReplyType, setRichContents, setSubject, setTitlePopup`

### Methods inherited from class org.apache.pdfbox.pdmodel.interactive.annotation.PDAnnotation

`constructAppearances, constructAppearances, createAnnotation, equals, getAnnotationFlags, getAnnotationName, getAppearance, getAppearanceState, getBorder, getColor, getColor, getContents, getCOSObject, getModifiedDate, getNormalAppearanceStream, getOptionalContent, getPage, getRectangle, getStructParent, getSubtype, hashCode, isHidden, isInvisible, isLocked, isLockedContents, isNoRotate, isNoView, isNoZoom, isPrinted, isReadOnly, isToggleNoView, setAnnotationFlags, setAnnotationName, setAppearance, setAppearanceState, setAppearanceState, setBorder, setColor, setContents, setHidden, setInvisible, setLocked, setLockedContents, setModifiedDate, setModifiedDate, setNoRotate, setNoView, setNoZoom, setOptionalContent, setPage, setPrinted, setReadOnly, setRectangle, setStructParent, setSubtype, setToggleNoView`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PDAnnotationTextMarkup

    protected PDAnnotationTextMarkup(String subType)

Creates a TextMarkup annotation of the specified sub type.

Parameters:
  `subType` - the subtype the annotation represents

#### PDAnnotationTextMarkup

    protected PDAnnotationTextMarkup(COSDictionary field)

Creates a TextMarkup annotation from a COSDictionary, expected to be a correct object definition.

Parameters:
  `field` - the PDF object to represent as a field.

### Method Detail

#### setQuadPoints

    public final void setQuadPoints(float[] quadPoints)

This will set the set of quadpoints which encompass the areas of this annotation.

Parameters:
  `quadPoints` - an array representing the set of area covered

#### getQuadPoints

    public float[] getQuadPoints()

This will retrieve the set of quadpoints which encompass the areas of this annotation.

Returns:
  An array of floats representing the quad points.